Download it now!
Bug 56130 - Add new spellchecker for Galician
Summary: Add new spellchecker for Galician
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Andras Timar
URL:
Whiteboard: target:3.7.0 target:3.6.4
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-18 10:43 UTC by Antón Méixome
Modified: 2016-05-21 17:28 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Antón Méixome 2012-10-18 10:43:20 UTC
Hi, 

In behalf of Proxecto Trasno (trasno.net) and the Galician NL Team, responsibles for hunspell spellcheker for galician language (1)

I want say we have a new stable version for some related to hunspell tools. There is a huge change because the .aff is completely refactorized by Miguel Solla's and others work.(2)

This new release includes spell checker(2), hyphenation (3) and thesaurus(4).

I'm actually in coordination for these tools and we have decided develop two versions: "volga" and "trasno" as for spell and thesaurus. The first is 100% compliant with the official ortographic dictionary for galician (www.realacademia.org). The second, only packeted as extensión in the near future, will be for common use.

In fews words: 
-new spellchecker
-first hyphenation
-firs thesaurus

Andras, can you test if the files are fine for integration.

1. https://github.com/meixome
2. https://github.com/meixome/hunspell-gl-volga
3. https://github.com/meixome/hyph_gl
4. https://github.com/meixome/thes_gl_volga
Comment 1 Antón Méixome 2012-10-18 10:46:33 UTC
This new version for spellchecker will be the same for other projects (Debian, Mozilla, and so on)
Comment 2 Not Assigned 2012-10-25 10:47:42 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/dictionaries/commit/?id=0808dafd6bb9da02db56d25d71018942cd4c8e09

fdo#56130 update Galician dictionary pack



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Andras Timar 2012-10-25 15:07:41 UTC
You may want to fix these in the next version:

Entering /home/timar/libreoffice-3-6/dictionaries/gl

Validating thesaurus file
thesaurus_gl.dat:2: a defined to have 2 but seems to have 1 (next word (á) found on line 4
thesaurus_gl.dat:6: a previously defined on 2
thesaurus_gl.dat:2: a defined to have 2 but seems to have 1 (next word (aba) found on line 8
thesaurus_gl.dat:10168: ó defined to have 2 but seems to have 1 (next word (o) found on line 10170
thesaurus_gl.dat:10173: ó previously defined on 10168
thesaurus_gl.dat:10168: ó defined to have 2 but seems to have 1 (next word (obediente) found on line 10175
dmake:  Error code 1, while making 'test1'
Comment 4 Not Assigned 2012-10-25 15:22:04 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/dictionaries/commit/?id=f05907cd3cafe6fcfd8ecc4ab1149c3fba710203&g=libreoffice-3-6

fdo#56130 update Galician dictionary pack


It will be available in LibreOffice 3.6.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Antón Méixome 2012-10-26 01:40:40 UTC
(In reply to comment #4)
> Andras Timar committed a patch related to this issue.
> It has been pushed to "libreoffice-3-6":
> 
> http://cgit.freedesktop.org/libreoffice/dictionaries/commit/
> ?id=f05907cd3cafe6fcfd8ecc4ab1149c3fba710203&g=libreoffice-3-6
> 
> fdo#56130 update Galician dictionary pack
> 
> 
> It will be available in LibreOffice 3.6.4.
> 
> The patch should be included in the daily builds available at
> http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
> information about daily builds can be found at:
> http://wiki.documentfoundation.org/Testing_Daily_Builds
> Affected users are encouraged to test the fix and report feedback.

Thanks very much Andras for your work!

It's perfect feedback. 

The noted erros will be fixated. I will test soon as possible the daily builds.

My best,

Antón